part of "migrations.dart";

class _MigrationV3toV4 implements Migration {
  @override
  Future<MigrateResult> migrate(Transaction transaction) async {
    // 由于这里无法保证所在平台是否支持IF NOT EXISTS，所以这里用try catch来处理
    try {
      await InventoryTable.createTable(transaction);
    } catch (error, stacktrace) {
      Log.w("ignore alter cmd!");
    }
    return MigrateResult.success;
  }
}

final migration3to4 = _MigrationV3toV4();
